Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.doc.html
Class IdlToHTML

    java.lang.Object
      |
      +--org.openorb.compiler.doc.html.IdlToHTML

public class IdlToHTML
extends java.lang.Object

This class takes an IDL graph and generates its HTML documentation

Constructor Summary
`IdlToHTML()` Constructor

Method Summary
`java.lang.String` | `adapt_string(java.lang.String src)` This method adapts a string to a HTML string
`java.lang.String` | `adaptExpression(java.lang.String expr)` This method adapts an expression to be valid in an IDL description
`java.lang.String` | `correctIdentifier(java.lang.String expr)` This method corrects an identifier to be a valid IDL identifier
`java.io.PrintWriter` | `create_file(java.lang.String file_name, java.io.File writeInto)` This method creates a file and returns its write access.
`java.io.File` | `createDirectory(java.lang.String name, java.io.File writeInto)` This method creates a new direcotry
`java.lang.String` | `fullname_idl(IdlObject obj)` This method returns a full name for a IDL item in an IDL notation
`java.lang.String` | `fullname_link(IdlObject obj)` This method returns a full name for a IDL item for a HTML link
`java.lang.String` | `fullname(IdlObject obj)` This method returns a full name for a IDL item.
`void` | `get_all_content(IdlObject obj, java.util.Vector list, boolean limit)` This method returns all the content
`void` | `get_all_description_content(IdlObject obj, java.util.Vector list)` This method translates into a table all descriptions of the current object
`java.lang.String` | `get_deprecation(IdlObject obj)` This method returns a deprecation text
`java.lang.String` | `get_description(IdlObject obj)` This method returns an object description
`java.lang.String` | `get_full_link(IdlObject obj)` This method returns an object description
`java.lang.String` | `get_link(IdlObject obj, IdlObject ref)` This method returns an object description
`java.lang.String` | `get_path(IdlObject obj)` This method returns a full name for a IDL item for a HTML link
`IdlCommentSection[]` | `get_sections(IdlCommentSection[] src, int section_type)` This method returns a comment section
`content` | `get_sorted_content(IdlObject obj, boolean limit)` This method return all an IDL tpye content ( sorted )
`java.lang.String` | `get_summary_description(IdlObject obj)` This method returns a summary for the object description
`java.lang.String` | `inversedPrefix(java.lang.String prefix)` Inverse prefix : omg.org -> org.omg
`boolean` | `is_any_deprecated(IdlObject[] obj)` This method tests if an object list contains a deprecated object
`boolean` | `is_deprecated(IdlObject obj)` This method tests if an object is deprecated
`IdlObject[]` | `sort_by_name(java.util.Vector list)` This method sorts all descriptions.
`IdlObject[]` | `sort_description_by_name(java.util.Vector list)` This method sorts all descriptions.
`void` | `sort_type_content(IdlObject obj, content c, boolean limit)` This method sorts the content of an IDL type
`void` | `translateAttribute(IdlObject obj, java.io.PrintWriter output)` This method translates an Attribute
`void` | `translateConstant(IdlObject obj, java.io.PrintWriter output)` This method translates a Constant
`void` | `translateContentTable(IdlObject obj, java.io.PrintWriter output, int type)` This method translates into a table al sub types of the current object Summary : type = 1 Details : type = 2 Summary and details : type == 3
`void` | `translateDescription(IdlObject obj, java.io.File output)` This method translates IDL description to HTML.
`void` | `translateEnum(IdlObject obj, java.io.PrintWriter output)` This method translates an Enum
`void` | `translateException(IdlObject obj, java.io.PrintWriter output)` This method translates an Exception
`void` | `translateFactory(IdlObject obj, java.io.PrintWriter output)` This method translates a factory member
`void` | `translateHierarchy(IdlObject obj, java.io.PrintWriter output)` This method translates a hierarchy between contents
`void` | `translateInterface(IdlObject obj, java.io.File writeInto)` This method translates an Interface
`void` | `translateInternalDescription(IdlObject obj, java.io.File writeInto, java.io.PrintWriter output)` This method translates an internal IDL description to an IDL file.
`void` | `translateModule(IdlObject obj, java.io.File writeInto)` This method translates a Module
`void` | `translateNative(IdlObject obj, java.io.PrintWriter output)` This method translates a Native
`void` | `translateOperation(IdlObject obj, java.io.PrintWriter output)` This method translates an Operation
`java.lang.String` | `translateParameter(IdlObject obj, java.lang.String desc)` This method translates a IDL parameter
`void` | `translateStateMember(IdlObject obj, java.io.PrintWriter output)` This method translates a state member
`void` | `translateStruct(IdlObject obj, java.io.PrintWriter output)` This method translates a Struct
`void` | `translateSubTypeDetails(IdlObject ref, IdlObject[] list, java.io.PrintWriter output, java.lang.String name)` This method translates into a table all sub types details of the current object
`void` | `translateSubTypeSummary(IdlObject ref, IdlObject[] list, java.io.PrintWriter output, java.lang.String name)` This method translates into a table all sub types summary of the current object
`void` | `translateToHTML(IdlObject root, java.lang.String title, java.lang.String packageName)` This method translates IDL descriptions to an HTML documentation
`java.lang.String` | `translateType(IdlObject obj, java.lang.String desc, java.lang.String name, boolean write, IdlObject current)` This method translates a IDL type
`void` | `translateTypedef(IdlObject obj, java.io.PrintWriter output)` This method translates a TypeDef
`void` | `translateUnion(IdlObject obj, java.io.PrintWriter output)` This method translates an Union
`void` | `translateValueBox(IdlObject obj, java.io.PrintWriter output)` This method translates a ValueBox
`void` | `translateValueType(IdlObject obj, java.io.File writeInto)` This method translates a ValueType
`void` | `write_alldescriptions_file_index(java.lang.String title, java.io.File writeInto, IdlObject obj)` This method create all descriptions file for the HTML navigation
`void` | `write_alldescriptions_file(java.lang.String title, java.io.File writeInto, IdlObject obj)` This method create all descriptions file for the HTML navigation
`void` | `write_begin_table(java.lang.String title, java.io.PrintWriter output)` This method creates a table
`void` | `write_branch(IdlObject obj, java.io.PrintWriter output)` This method writes a tree branch
`void` | `write_deprecated_section(IdlObject[] obj, java.lang.String title, java.io.PrintWriter output)` This method writes a deprecated section
`void` | `write_deprecated(java.io.File writeInto)` This method writes an deprecated list
`void` | `write_description_content(IdlObject obj, java.io.PrintWriter output)` This method translates into a table all descriptions of the current object
`void` | `write_description_entries(IdlObject obj, IdlObject[] list, java.io.PrintWriter output, java.lang.String name)` This method adds description entries for the HTML navigation
`void` | `write_description_entry(java.lang.String name, java.lang.String link, java.io.PrintWriter output)` This method adds a description entry for the HTML navigation
`void` | `write_description(IdlObject obj, java.io.PrintWriter output)` This method writes an object description
`void` | `write_index_file(java.lang.String title, java.io.File writeInto)` This method create an index file for the HTML navigation
`void` | `write_index(java.io.File writeInto)` This method writes an index file
`void` | `write_navigation_bar_index(java.io.PrintWriter output, int index)` This method adds a navigation bar to a HTML page
`void` | `write_navigation_bar(java.io.PrintWriter output)` This method adds a navigation bar to a HTML page
`void` | `write_overview_file(IdlObject obj, java.lang.String title, java.io.File writeInto)` This method create an overview file for the HTML navigation
`void` | `write_page_title(java.lang.String title, java.io.PrintWriter output)` This method adds a page title to a HTML page
`void` | `write_section(IdlCommentSection[] sections, int section_type, java.lang.String section_title, java.io.PrintWriter output, boolean highlight_first)` This method writes a comment section
`void` | `write_style_sheet(java.io.File writeInto)` This method create a style sheet
`void` | `write_summary_file(java.lang.String title, java.io.File writeInto)` This method create an summary file for the HTML navigation
`void` | `write_table_entry(java.lang.String name, java.lang.String link, java.lang.String description, java.io.PrintWriter output)` This method creates a entry into a table
`void` | `write_title_center(java.lang.String title, java.io.PrintWriter output)` This method adds a title to a HTML page
`void` | `write_title(java.lang.String title, java.io.PrintWriter output)` This method adds a title to a HTML page
`void` | `write_tree(java.io.File writeInto)` This method writes an overview tree

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdlToHTML

    public IdlToHTML()

  Constructor

Method Detail

### inversedPrefix

    public java.lang.String inversedPrefix(java.lang.String prefix)

  Inverse prefix : omg.org -> org.omg

### createDirectory

    public java.io.File createDirectory(java.lang.String name,
                                        java.io.File writeInto)

  This method creates a new direcotry

### write_index_file

    public void write_index_file(java.lang.String title,
                                 java.io.File writeInto)

  This method create an index file for the HTML navigation

### write_overview_file

    public void write_overview_file(IdlObject obj,
                                    java.lang.String title,
                                    java.io.File writeInto)

  This method create an overview file for the HTML navigation

### write_description_entry

    public void write_description_entry(java.lang.String name,
                                        java.lang.String link,
                                        java.io.PrintWriter output)

  This method adds a description entry for the HTML navigation

### write_description_entries

    public void write_description_entries(IdlObject obj,
                                          IdlObject[] list,
                                          java.io.PrintWriter output,
                                          java.lang.String name)

  This method adds description entries for the HTML navigation

### write_description_content

    public void write_description_content(IdlObject obj,
                                          java.io.PrintWriter output)

  This method translates into a table all descriptions of the current object

### write_alldescriptions_file

    public void write_alldescriptions_file(java.lang.String title,
                                           java.io.File writeInto,
                                           IdlObject obj)

  This method create all descriptions file for the HTML navigation

### get_all_description_content

    public void get_all_description_content(IdlObject obj,
                                            java.util.Vector list)

  This method translates into a table all descriptions of the current object

### sort_description_by_name

    public IdlObject[] sort_description_by_name(java.util.Vector list)

  This method sorts all descriptions.

### sort_by_name

    public IdlObject[] sort_by_name(java.util.Vector list)

  This method sorts all descriptions.

### write_alldescriptions_file_index

    public void write_alldescriptions_file_index(java.lang.String title,
                                                 java.io.File writeInto,
                                                 IdlObject obj)

  This method create all descriptions file for the HTML navigation

### write_title

    public void write_title(java.lang.String title,
                            java.io.PrintWriter output)

  This method adds a title to a HTML page

### write_title_center

    public void write_title_center(java.lang.String title,
                                   java.io.PrintWriter output)

  This method adds a title to a HTML page

### write_page_title

    public void write_page_title(java.lang.String title,
                                 java.io.PrintWriter output)

  This method adds a page title to a HTML page

### write_navigation_bar

    public void write_navigation_bar(java.io.PrintWriter output)

  This method adds a navigation bar to a HTML page

### write_navigation_bar_index

    public void write_navigation_bar_index(java.io.PrintWriter output,
                                           int index)

  This method adds a navigation bar to a HTML page

### write_begin_table

    public void write_begin_table(java.lang.String title,
                                  java.io.PrintWriter output)

  This method creates a table

### write_table_entry

    public void write_table_entry(java.lang.String name,
                                  java.lang.String link,
                                  java.lang.String description,
                                  java.io.PrintWriter output)

  This method creates a entry into a table

### write_summary_file

    public void write_summary_file(java.lang.String title,
                                   java.io.File writeInto)

  This method create an summary file for the HTML navigation

### write_style_sheet

    public void write_style_sheet(java.io.File writeInto)

  This method create a style sheet

### get_all_content

    public void get_all_content(IdlObject obj,
                                java.util.Vector list,
                                boolean limit)

  This method returns all the content

### write_index

    public void write_index(java.io.File writeInto)

  This method writes an index file

### write_branch

    public void write_branch(IdlObject obj,
                             java.io.PrintWriter output)

  This method writes a tree branch

### write_tree

    public void write_tree(java.io.File writeInto)

  This method writes an overview tree

### write_deprecated_section

    public void write_deprecated_section(IdlObject[] obj,
                                         java.lang.String title,
                                         java.io.PrintWriter output)

  This method writes a deprecated section

### write_deprecated

    public void write_deprecated(java.io.File writeInto)

  This method writes an deprecated list

### adapt_string

    public java.lang.String adapt_string(java.lang.String src)

  This method adapts a string to a HTML string

### get_link

    public java.lang.String get_link(IdlObject obj,
                                     IdlObject ref)

  This method returns an object description

### get_full_link

    public java.lang.String get_full_link(IdlObject obj)

  This method returns an object description

### get_description

    public java.lang.String get_description(IdlObject obj)

  This method returns an object description

### is_deprecated

    public boolean is_deprecated(IdlObject obj)

  This method tests if an object is deprecated

### is_any_deprecated

    public boolean is_any_deprecated(IdlObject[] obj)

  This method tests if an object list contains a deprecated object

### get_deprecation

    public java.lang.String get_deprecation(IdlObject obj)

  This method returns a deprecation text

### get_summary_description

    public java.lang.String get_summary_description(IdlObject obj)

  This method returns a summary for the object description

### get_sections

    public IdlCommentSection[] get_sections(IdlCommentSection[] src,
                                            int section_type)

  This method returns a comment section

### write_section

    public void write_section(IdlCommentSection[] sections,
                              int section_type,
                              java.lang.String section_title,
                              java.io.PrintWriter output,
                              boolean highlight_first)

  This method writes a comment section

### write_description

    public void write_description(IdlObject obj,
                                  java.io.PrintWriter output)

  This method writes an object description

### translateSubTypeSummary

    public void translateSubTypeSummary(IdlObject ref,
                                        IdlObject[] list,
                                        java.io.PrintWriter output,
                                        java.lang.String name)

  This method translates into a table all sub types summary of the current object

### translateSubTypeDetails

    public void translateSubTypeDetails(IdlObject ref,
                                        IdlObject[] list,
                                        java.io.PrintWriter output,
                                        java.lang.String name)

  This method translates into a table all sub types details of the current object

### translateContentTable

    public void translateContentTable(IdlObject obj,
                                      java.io.PrintWriter output,
                                      int type)

  This method translates into a table al sub types of the current object Summary : type = 1 Details : type = 2 Summary and details : type == 3

### create_file

    public java.io.PrintWriter create_file(java.lang.String file_name,
                                           java.io.File writeInto)

  This method creates a file and returns its write access.

### fullname

    public java.lang.String fullname(IdlObject obj)

  This method returns a full name for a IDL item.

### fullname_idl

    public java.lang.String fullname_idl(IdlObject obj)

  This method returns a full name for a IDL item in an IDL notation

### fullname_link

    public java.lang.String fullname_link(IdlObject obj)

  This method returns a full name for a IDL item for a HTML link

### get_path

    public java.lang.String get_path(IdlObject obj)

  This method returns a full name for a IDL item for a HTML link

### sort_type_content

    public void sort_type_content(IdlObject obj,
                                  content c,
                                  boolean limit)

  This method sorts the content of an IDL type

### get_sorted_content

    public content get_sorted_content(IdlObject obj,
                                      boolean limit)

  This method return all an IDL tpye content ( sorted )

### translateHierarchy

    public void translateHierarchy(IdlObject obj,
                                   java.io.PrintWriter output)

  This method translates a hierarchy between contents

### translateType

    public java.lang.String translateType(IdlObject obj,
                                          java.lang.String desc,
                                          java.lang.String name,
                                          boolean write,
                                          IdlObject current)

  This method translates a IDL type

### translateParameter

    public java.lang.String translateParameter(IdlObject obj,
                                               java.lang.String desc)

  This method translates a IDL parameter

### translateModule

    public void translateModule(IdlObject obj,
                                java.io.File writeInto)

  This method translates a Module

### translateEnum

    public void translateEnum(IdlObject obj,
                              java.io.PrintWriter output)

  This method translates an Enum

### translateStruct

    public void translateStruct(IdlObject obj,
                                java.io.PrintWriter output)

  This method translates a Struct

### translateUnion

    public void translateUnion(IdlObject obj,
                               java.io.PrintWriter output)

  This method translates an Union

### translateException

    public void translateException(IdlObject obj,
                                   java.io.PrintWriter output)

  This method translates an Exception

### translateTypedef

    public void translateTypedef(IdlObject obj,
                                 java.io.PrintWriter output)

  This method translates a TypeDef

### translateValueBox

    public void translateValueBox(IdlObject obj,
                                  java.io.PrintWriter output)

  This method translates a ValueBox

### translateFactory

    public void translateFactory(IdlObject obj,
                                 java.io.PrintWriter output)

  This method translates a factory member

### translateStateMember

    public void translateStateMember(IdlObject obj,
                                     java.io.PrintWriter output)

  This method translates a state member

### translateAttribute

    public void translateAttribute(IdlObject obj,
                                   java.io.PrintWriter output)

  This method translates an Attribute

### translateOperation

    public void translateOperation(IdlObject obj,
                                   java.io.PrintWriter output)

  This method translates an Operation

### translateValueType

    public void translateValueType(IdlObject obj,
                                   java.io.File writeInto)

  This method translates a ValueType

### translateInterface

    public void translateInterface(IdlObject obj,
                                   java.io.File writeInto)

  This method translates an Interface

### correctIdentifier

    public java.lang.String correctIdentifier(java.lang.String expr)

  This method corrects an identifier to be a valid IDL identifier

### adaptExpression

    public java.lang.String adaptExpression(java.lang.String expr)

  This method adapts an expression to be valid in an IDL description

### translateConstant

    public void translateConstant(IdlObject obj,
                                  java.io.PrintWriter output)

  This method translates a Constant

### translateNative

    public void translateNative(IdlObject obj,
                                java.io.PrintWriter output)

  This method translates a Native

### translateInternalDescription

    public void translateInternalDescription(IdlObject obj,
                                             java.io.File writeInto,
                                             java.io.PrintWriter output)

  This method translates an internal IDL description to an IDL file.

### translateDescription

    public void translateDescription(IdlObject obj,
                                     java.io.File output)

  This method translates IDL description to HTML.

### translateToHTML

    public void translateToHTML(IdlObject root,
                                java.lang.String title,
                                java.lang.String packageName)

  This method translates IDL descriptions to an HTML documentation

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD